Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
allocations
/
{allocation_id}
Get Allocation by ID
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations/{allocation_id}
{
  "allocation": {
    "root_id": "<string>",
    "reversal_id": "<string>",
    "allocation_completed_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "product_id": "<string>",
    "side": "BUY",
    "avg_price": "<string>",
    "base_quantity": "<string>",
    "quote_value": "<string>",
    "fees_allocated": "<string>",
    "status": "ALLOCATION_STATUS_UNSPECIFIED",
    "source": "<string>",
    "order_ids": [
      "<string>"
    ],
    "destinations": [
      {
        "leg_id": "<string>",
        "portfolio_id": "<string>",
        "allocation_base": "<string>",
        "allocation_quote": "<string>",
        "fees_allocated_leg": "<string>"
      }
    ],
    "netting_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
AllocationsService allocationsService = PrimeServiceFactory.createAllocationsService(client);

GetAllocationRequest request = new GetAllocationRequest.Builder("PORTFOLIO_ID_HERE", "ALLOCATION_ID_HERE").build();

GetAllocationResponse response = allocationsService.getAllocation(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID of the allocation

allocation_id
string
required

The ID of the allocation

Response

200 - application/json

A successful response.

allocation
object